<?php
/**
 * WeCodeArt Framework.
 *
 * WARNING: This file is part of the core WeCodeArt Framework. DO NOT edit this file under any circumstances.
 * Please do all modifications in the form of a child theme.
 *
 * @package 	WeCodeArt Framework
 * @subpackage 	Comments Template
 * @since 		1.0
 * @version		3.7.3
 */

use WeCodeArt\Utilities\Markup;

if ( ! empty( $_SERVER['SCRIPT_FILENAME'] ) && 'comments.php' === basename( $_SERVER['SCRIPT_FILENAME'] ) ) {
	die ( 'Please do not load this page directly!' );
}

if ( post_password_required() ) {
	printf( '<p class="callout">%s</p>', __( 'This post is password protected. Enter the password to view comments.', 'wecodeart' ) );
	return;
} 

do_action( 'wecodeart/hook/comments/before' );

/**
 * @see 	WeCodeArt\Utilities\Markup::wrap()
 * @hook	'wecodeart_comments' 	
 * @hooked 	{
 * - WeCodeArt\Core\Comments	->render_meta()		- 10	comments intro text
 * - WeCodeArt\Core\Pagination	->comments() 		- 15	comments navigation
 * - WeCodeArt\Core\Comments	->render_comments()	- 20	comments list
 * - WeCodeArt\Core\Comments	->render_pings()	- 30	comments pings list
 * - WeCodeArt\Core\Pagination	->comments() 		- 35	comments navigation
 * - WeCodeArt\Core\Comments	->render_respond() 	- 40	comments reply form
 * }
 */
Markup::wrap( 'comments', [ [ 
	'tag' 	=> 'div', 
	'attrs' => [ 
		'id' 	=> 'comments', 
		'class' => 'comments' 
	] 
] ], 'do_action', [ 'wecodeart_comments', get_post_type() ] ); 

do_action( 'wecodeart/hook/comments/after' ); 